#
#   PROBE - Funding request screen
#

from albow.resource import get_image
from albow.controls import TextField
from form_screen import FormScreen
from controls import NumericField

class FundingRequestScreen(FormScreen):

	bg_image = get_image("desk-paper-a4-left-800x600.jpg")
	left_margin = 50
	field_margin = FormScreen.label_margin + 160
	memo_sender = "Ima Tytewad, Chairman, NASA Funding Committee"
	memo_subject = "Re: Your funding application"

	def __init__(self, shell):
		FormScreen.__init__(self, shell)
		self.input_fields = []
		self.add_header()
		self.amount_field = NumericField(12, 0)
		self.add_input_field(0, "AMOUNT REQUESTED", self.amount_field, "-$")
		self.add_signature_field(1)
	
	def add_header(self):
		self.add_label(self.label_margin, self.header_top,
			"REQUEST FOR PROJECT FUNDING")

	def submit_form(self):
		amount = int(self.amount_field.get_value())
		if not amount:
			self.amount_field.focus()
			self.report_error("You seem to have forgotten to fill in an amount.")
			return
		if not self.verify_signature():
			self.report_error("We can't accept this application without your "
				"initials.")
			return
		self.report_success("Your application has been accepted for "
			"processing. You will be notified of the outcome shortly.")
		self.game.request_funding(amount)
		self.go_to_funding_result()
