#
#   PROBE - Funding result screen
#

from albow.resource import get_image, get_font
from screen import ProbeScreen
from text_writer import TextWriter
from vector_algebra import add
import navigation

class FundingResultScreen(ProbeScreen):

	bg_image = get_image("desk-letter-right-800x600.jpg")
	logo = get_image("nasa_logo.png")
	signature = get_image("signature.png")
	font = get_font(12, "VeraMono.ttf")
	fg_color = (0, 0, 0)
	left_margin = 390
	top_margin = 40
	logo_margin = left_margin + 280
	text_top = top_margin + 80
	signature_margin = left_margin + 150
	text_columns = 60

	def __init__(self, shell):
		ProbeScreen.__init__(self, shell)
		mp_button = navigation.mission_planning_button(self)
		pd_button = navigation.probe_design_button(self)
		mp_button.rect.bottomleft = (20, 580)
		pd_button.rect.bottomleft = add(mp_button.rect.bottomright, (20, 0))
		self.add(mp_button)
		self.add(pd_button)

	def draw(self, surf):
		surf.blit(self.bg_image, (0, 0))
		surf.blit(self.logo, (self.logo_margin, self.top_margin))
		w = TextWriter(surf, font = self.font, color = self.fg_color,
			x = self.left_margin, y = self.text_top,
			tabs = [self.signature_margin])
		w.writeln("FROM: NASA Executive Director")
		w.newline()
		w.writeln("TO: Project Director")
		w.newline()
		w.newline()
		w.write_lines(self.game.funding_result_text)
		w.newline()
		w.tab(1); w.writeln("Yours sincerely,")
		w.tab(1); surf.blit(self.signature, (w.x, w.y + 7))
		w.y += self.signature.get_height() + 10
		w.tab(1); w.writeln("P. Q. R. Essman")
		w.tab(1); w.writeln("NASA Executive Director")
