#
#   Probe - Mission Planning screen
#

from pygame import Rect
from pygame.locals import *
from albow.resource import get_image
from screen import ProbeScreen
from system_display import SystemDisplay
from astro_data_display import AstroDataDisplay
from controls import ImageButton
from vector_algebra import add
import navigation

class MissionPlanningScreen(ProbeScreen):

	#system_display_bg_color = (255, 255, 255)
	bg_image = get_image("desk-mission-planning.jpg")

	def __init__(self, shell):
		ProbeScreen.__init__(self, shell)
		frame = self.rect
		sd_size = frame.height
		sd_rect = Rect(0, 0, sd_size, sd_size)
		sd_rect.topright = frame.topright
		sd_rect.inflate_ip((-50, -50))
		ad_rect = Rect(0, 0, 210, 300)
		ad_rect.topleft = frame.topleft
		sd = SystemDisplay(sd_rect, shell.game, paper = True)
		self.system_display = sd
		ad = AstroDataDisplay(ad_rect, shell.game)
		#lp_button = ImageButton("LAUNCH PREP", "launchpad_thumb.png",
		#	action = self.shell.go_to_launch_prep)
		#lp_button.rect.bottomleft = add(frame.bottomleft, (20, -20))
		pd_button = navigation.probe_design_button(self)
		pd_button.rect.bottomleft = add(frame.bottomleft, (20, -20))
		self.add(sd)
		self.add(ad)
		self.add(pd_button)

	def draw(self, surf):
		surf.blit(self.bg_image, (0, 0))

	def key_down(self, e):
		key = e.key
		if key == K_UP or key == K_DOWN:
			self.system_display.handle_key(e)
