#
#   PROBE - Application-wide settings
#

force_test_vehicle = False

screen_size = (800, 600)
flags = 0
frame_time = 100      # ms -- any faster is a bit much in the game proper
intro_frame_time = 20 # ms -- intro needs faster frame rate for smooth fade in/out

from optparse import OptionParser

def get_command_line_options():
	global options, frame_time
	parser = OptionParser()
	opt = parser.add_option
	opt(      "--tmp",       action = "store_true",          dest = "test_mission_planning",help = "Testing: start at mission planning screen")
	opt(      "--tpd",       action = "store_true",          dest = "test_probe_design",    help = "Testing: start at probe design screen")
	opt(      "--tlp",       action = "store_true",          dest = "test_launch_params",   help = "Testing: start at launch spec screen")
	opt(      "--tmc",       action = "store_true",          dest = "test_mission_control", help = "Testing: start at mission control screen")
	opt(      "--tfq",       action = "store_true",          dest = "test_funding_request", help = "Testing: start at funding request screen")
	opt(      "--tfr",       action = "store_true",          dest = "test_funding_result",  help = "Testing: start at funding result screen")
	opt(      "--tnc",       action = "store_true",          dest = "test_skip_countdown",  help = "Testing: skip countdown when launching")
	opt(      "--tdes",      action = "store_true",          dest = "test_design",          help = "Testing: auto-construct a design")
	opt(      "--tveh",      action = "store_true",          dest = "test_vehicle",         help = "Testing: auto-construct a vehicle")
	opt(      "--tprep",     action = "store_true",          dest = "test_prepare",         help = "Testing: auto-prepare vehicle for launch")
	opt(      "--tdata",     action = "store_true",          dest = "test_data",            help = "Testing: create some initial data")
	opt("-F", "--frametime", action = "store", type = "int", dest = "frame_time",           help = "Frame time in milliseconds")
	opt("-r", "--seed",      action = "store", type = "int", dest = "random_seed",          help = "Random number seed")
	(options, args) = parser.parse_args()
	if force_test_vehicle:
		print "settings.get_command_line_options: Forcing a test vehicle"
		options.test_vehicle = True
	#print "settings.get_command_line_options: options =", options ###
	if options.frame_time is not None:
		frame_time = options.frame_time
